<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Usuarios : "/>
        <p:separator />
    <h:form rendered="#{!usuarioMB.editMode}">
    	<p:commandButton value="Nuevo" action="#{usuarioMB.reset}" ajax="false" ></p:commandButton>
        <p:separator />
        <p:dataTable id="usuarios" var="usuario" value="#{usuarioMB.usuarioList}" 
        		widgetVar="tablaUsuario">
            
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="ID" />
                </f:facet>
                <p:outputLabel value="#{usuario.id}" />
            </p:column>
            <p:column filterBy="#{usuario.userName}" >
                <f:facet name="header">
                    <p:outputLabel value="Nombre" />
                </f:facet>
                <p:outputLabel value="#{usuario.userName}"  />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="editUsuario" action="#{usuarioMB.editUsuario(usuario.id)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="deleteUsuario" icon="ui-icon-trash" update=":header-form:messages usuarios" action="#{usuarioMB.deleteUsuario(usuario.id)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el usuario?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="addUusuario" value="Nuevo" action="#{usuarioMB.reset}" ajax="false" >
		</p:commandButton>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
    <h:form rendered="#{usuarioMB.editMode}">
     	<p:panelGrid>       
            <p:outputLabel for="id" value="Id : " />
            <p:inputText id="id" value="#{usuarioMB.instance.id}" disabled="true">
                <f:converter converterId="javax.faces.Integer"/>
            </p:inputText>
            <h:panelGroup/>
            
            <p:outputLabel for="nombre" value="Nombre : "  />
            <p:inputText id="nombre" value="#{usuarioMB.instance.userName}" 
            	autocomplete="off" label="Nombre" required="true"/>
            <p:message for="nombre" display="icon"/>
            
            <p:outputLabel for="pwd" value="Contraseña" />
           	<p:password id="pwd" feedback="false" value="#{usuarioMB.instance.password}" label="Contraseña" required="true"
           		autocomplete="off"></p:password>
            <p:message for="pwd"></p:message>
            
            <p:outputLabel for="roles" value="Rol Admitido: " />
	        <p:selectOneMenu id="roles" value="#{usuarioMB.instance.rol}" required="true" label="Rol Admitido" converter="roleConverter">
	            <f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	            <f:selectItems value="#{usuarioMB.roles}"  var="varRol"
                          itemValue="#{varRol}"
                          itemLabel="#{varRol.nombre}"/>
	            <p:ajax listener="#{usuarioMB.actualizarDatos}"  update="iiZonal"/>
	        </p:selectOneMenu>
	        <p:message for="roles" display="icon"/>
	        
            <p:outputLabel for="iiZonal" value="Equipo Territorial Provincial :"/>
       		<p:selectOneMenu id="iiZonal" value="#{usuarioMB.instance.zonal}" converter="zonalConverter"
       				disabled="#{!usuarioMB.instance.hasRole(4) and !usuarioMB.instance.hasRole(5)}" 
       				required="#{usuarioMB.instance.hasRole(4) or usuarioMB.instance.hasRole(5)}">
           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
           		<f:selectItems value="#{usuarioMB.zonales}" var="zonal"
                          itemValue="#{zonal}"
                          itemLabel="#{zonal.nombre}"/>
                <p:ajax listener="#{usuarioMB.onZonalChange}" update="iiLocal" />
       		</p:selectOneMenu>
       		<p:message  for="iiZonal" display="icon"/>
	            
           	<p:outputLabel for="iiLocal" value="Local :"/>
      		<p:selectOneMenu id="iiLocal" value="#{usuarioMB.instance.local}" converter="localConverter"
      				disabled="#{!usuarioMB.instance.hasRole(5)}" 
      				required="#{usuarioMB.instance.hasRole(5)}" >
          		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
          		<f:selectItems value="#{usuarioMB.locales}" var="local"
                         itemValue="#{local}"
                         itemLabel="#{local.nombre}"/>
      		</p:selectOneMenu>
      		<p:message  for="iiLocal" display="icon"/>
	        
            
        </p:panelGrid>
        <p:commandButton id="addUusuario" value="Guardar" action="#{usuarioMB.addUsuario}" ajax="false"/>
        <p:commandButton id="reset" value="Cancelar" action="#{usuarioMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
